import { Plan } from "@prisma/client";

export function isSelfHostedEdition(): boolean {
  return process.env.S2YT_EDITION === "selfhosted";
}

export function hasProFeatures(plan: Plan): boolean {
  return isSelfHostedEdition() || plan === "PREMIUM";
}
